Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.jms.extensions
Interface WLMessage

All Superinterfaces:
  Message

public interface WLMessage
extends Message

A WLMessage provides methods not supported by javax.jms.Message.

WLMessage provide methods for the following:

- Setting the delivery time for the message
- Getting the delivery time for the message

See Also:
  `Message`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface javax.jms.Message
`DEFAULT_DELIVERY_MODE, DEFAULT_PRIORITY, DEFAULT_TIME_TO_LIVE`

Method Summary
`boolean` | `getDDForwarded()` Return true if the message is forwarded from one DD Member to another or from SAFImported Destination to a DD Member
`long` | `getJMSDeliveryTime()` Deprecated. As of 9.0, replaced by javax.jms.Message.getIntProperty("JMS_BEA_DeliveryTime").
`Document` | `getJMSMessageDocument()` Returns an XML DOM Document representation of the message.
`int` | `getJMSRedeliveryLimit()` Deprecated. As of 9.0, replaced by javax.jms.Message.getIntProperty("JMS_BEA_RedeliveryLimit").
`long` | `getSAFSeqNumber()` Get the Sequence Number on the message
`String` | `getSAFSequenceName()` Get the SAF SequenceNAme for the Message
`long` | `getSize()` Returns the size of the message.
`String` | `getUnitOfOrder()` Get Unit Of Order Name
`void` | `setJMSDeliveryTime(long deliveryTime)` Deprecated. As of 9.0, no longer needed.
`void` | `setJMSRedeliveryLimit(int redeliveryLimit)` Deprecated. As of 9.0, no longer needed.
`void` | `setSAFSeqNumber(long seqNumber)` set the sequence number for a Sequence.
`void` | `setSAFSequenceName(String safSequenceName)` Set the SAF Sequence Name for this WL Message

Methods inherited from interface javax.jms.Message
`acknowledge, clearBody, clearProperties, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setShortProperty, setStringProperty`

Method Detail

### getDDForwarded

    public boolean getDDForwarded()

  Return true if the message is forwarded from one DD Member to another or from SAFImported Destination to a DD Member

  Returns:
    true if the message is forwarded from one DD Member to another or from SAFImported Destination to a DD Member

### getJMSDeliveryTime

    public long getJMSDeliveryTime()
                            throws JMSException

  Deprecated. As of 9.0, replaced by javax.jms.Message.getIntProperty("JMS_BEA_DeliveryTime").

  Get the delivery time for the message; the delivery time is an absolute time expressed in milliseconds. This value is set by the provider when the message sent.

  Returns:
    The delivery time for the message.
  Throws:
    `JMSException` - if a JMS error occurs.
  See Also:
    `weblogic.jms.extensions.WLMessageProducer.getTimeToDeliver()`, `weblogic.jms.extensions.WLMessageProducer.setTimeToDeliver(long)`

### getJMSMessageDocument

    public Document getJMSMessageDocument()
                                   throws JMSException

  Returns an XML DOM Document representation of the message.

  Throws:
    `JMSException`

### getJMSRedeliveryLimit

    public int getJMSRedeliveryLimit()
                              throws JMSException

  Deprecated. As of 9.0, replaced by javax.jms.Message.getIntProperty("JMS_BEA_RedeliveryLimit").

  Get the redelivery limit for the message. This is the number of times a message will be redelivered after a recover or rollback. This method should only be called by JMS providers. The value is set by the producer when the message is sent.

  Returns:
    The number of times to redeliver the message
  Throws:
    `JMSException` - if a JMS error occurs.
  See Also:
    `weblogic.jms.extensions.WLMessageProducer.getRedeliveryLimit()`, `weblogic.jms.extensions.WLMessageProducer.setRedeliveryLimit(int)`

### getSAFSeqNumber

    public long getSAFSeqNumber()

  Get the Sequence Number on the message

  Returns:
    sequenceNumber

### getSAFSequenceName

    public String getSAFSequenceName()

  Get the SAF SequenceNAme for the Message

  Returns:

### getSize

    public long getSize()

  Returns the size of the message. The size of a WebLogic message is determined by combining the size of the user properties and the size of the message body.

  Returns:
    The size of the message in bytes.

### getUnitOfOrder

    public String getUnitOfOrder()

  Get Unit Of Order Name

  Returns:
    unitOfOrderName

### setJMSDeliveryTime

    public void setJMSDeliveryTime(long deliveryTime)
                            throws JMSException

  Deprecated. As of 9.0, no longer needed.

  Set the delivery time for the message; this method is for use by providers only, and is called automatically when a message is sent. When the message is sent, the current redelivery time is over-ridden.

  Parameters:
    `deliveryTime` - the time to deliver this message.
  Throws:
    `JMSException` - if a JMS error occurs.
  See Also:
    `weblogic.jms.extensions.WLMessageProducer.getTimeToDeliver()`, `weblogic.jms.extensions.WLMessageProducer.setTimeToDeliver(long)`

### setJMSRedeliveryLimit

    public void setJMSRedeliveryLimit(int redeliveryLimit)
                               throws JMSException

  Deprecated. As of 9.0, no longer needed.

  Set the redelivery limit for the message. This is the number of times a message will be redelivered after a recover or rollback. This method should only be called by JMS providers. The value is set by the producer when the message is sent.

  Parameters:
    `redeliveryLimit` - the number of times to redeliver the message
  Throws:
    `JMSException` - if a JMS error occurs.
  See Also:
    `weblogic.jms.extensions.WLMessageProducer.getRedeliveryLimit()`, `weblogic.jms.extensions.WLMessageProducer.setRedeliveryLimit(int)`

### setSAFSeqNumber

    public void setSAFSeqNumber(long seqNumber)

  set the sequence number for a Sequence.

  Parameters:
    `seqNumber` -

### setSAFSequenceName

    public void setSAFSequenceName(String safSequenceName)

  Set the SAF Sequence Name for this WL Message

  Parameters:
    `safSequenceName` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD